NYSHELL(1)

NAME
nyshell - tool to generate shell scripts to build nypatchy output

SYNOPSIS
nyshell logfile options cradle [ print ] [ .go ]

DESCRIPTION

nyshell is a tool in the Nypatchy suite of programs for working with Patchy Master Files (PAM files); see nypatchy(1). Specifically, given the log file of a nypatchy run, it can create a shell script to compile all the source code files output by nypatchy. This program is similar to fcasplit except that it takes the log file as input instead of a source file, and it remembers which source code files have already been compiled in previous runs.

USAGE
logfile is the name of the log file coming from nypatchy, with a default extension of ".log". A cradle file cradle may be given to add additional setup options such as desired compilers or compiler flags to use. (See the reference manual for more details.) print is the file to which informational output should be written (the default is standard output if omitted), and options is a sequence of single-character flags. This program generates a shell script file named name.shfca (with name being the part of logfile sans extension) that can be run to build all object files. The file name.xqtlog "remembers" the current state.

The command should be ended with ".go" unless one wants to enter the Nypatchy interactive shell.

OPTIONS

Note that options should be given as a single string of characters with no space separation and no use of the - character (except that it can be used in place of the options field if no options are desired). Alphabetic options are not case-sensitive.

A   Force recompilation of all routines.

B   Bypass tests based on the .xqtlog file.

E   Bypass tests based on the .xqtlog file if it is empty.

H   Print help information only.

Q   "quick" - Do not print the setup.

S   Print the setup only (only together with H).

U   "up to date" - Check that all .o files are ready to go into a library.

V   "verbose" - Print the complete setup.

SEE ALSO
fcasplit(1), nycheck(1), nydiff(1), nyindex(1), nylist(1), nypatchy(1), nymerge(1), nysynopt(1), nytidy(1), yexpand(1)

The reference manual for the Nypatchy suite of programs is available in compressed PostScript format at the following URL:
http://wwwasdoc.web.cern.ch/wwwasdoc/psdir/p5refman.ps.gz

Running the command "nyshell help .no" also gives some brief help on usage. Running the command "nyshell - hs .no" prints the default setup (compiler names and options) to be used in the generated shell scripts.

AUTHOR
This manual page was written by Kevin McCarty <kmccarty@debian.org> for the Debian GNU/Linux system (but may be used by others). It is licensed under the GNU General Public License, version 2 or later (at your choice).

COPYRIGHT
Copyright (C) Kevin B. McCarty, 2008.